changeset 140:2106617f1291

scripts/mk-component*: added cfile_symlink function like in Magnetite
author Mychaela Falconia <falcon@freecalypso.org>
date Wed, 06 Feb 2019 21:17:00 +0000
parents 148776c3f4c9
children 23768d96edce
files scripts/mk-component-gcc.sh scripts/mk-component.sh
diffstat 2 files changed, 26 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- a/scripts/mk-component-gcc.sh	Wed Feb 06 21:03:09 2019 +0000
+++ b/scripts/mk-component-gcc.sh	Wed Feb 06 21:17:00 2019 +0000
@@ -79,6 +79,19 @@
 	OBJS="$OBJS $objname"
 }
 
+cfile_symlink() {
+	if [ $# != 1 ]
+	then
+		echo "Error: cfile_symlink takes 1 argument" 1>&2
+		exit 1
+	fi
+	localcopy=`basename "$1"`
+	echo "$localcopy:" >> $BUILD_DIR/$LIBNAME/Makefile
+	echo "	ln -s $1 ." >> $BUILD_DIR/$LIBNAME/Makefile
+	echo >> $BUILD_DIR/$LIBNAME/Makefile
+	c_file $localcopy
+}
+
 # invoke the recipe
 
 COMPILER=gcc
--- a/scripts/mk-component.sh	Wed Feb 06 21:03:09 2019 +0000
+++ b/scripts/mk-component.sh	Wed Feb 06 21:17:00 2019 +0000
@@ -92,6 +92,19 @@
 	OBJS="$OBJS $objname"
 }
 
+cfile_symlink() {
+	if [ $# != 1 ]
+	then
+		echo "Error: cfile_symlink takes 1 argument" 1>&2
+		exit 1
+	fi
+	localcopy=`basename "$1"`
+	echo "$localcopy:" >> $BUILD_DIR/$LIBNAME/Makefile
+	echo "	ln -s $1 ." >> $BUILD_DIR/$LIBNAME/Makefile
+	echo >> $BUILD_DIR/$LIBNAME/Makefile
+	c_file $localcopy
+}
+
 # invoke the recipe
 
 COMPILER=tms470